

import static org.junit.Assert.assertEquals;

import java.lang.reflect.Type;

import org.jooq.lambda.tuple.Range;
import org.junit.Test;

import com.google.common.reflect.TypeToken;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;

public class JsonParsingTest {

	@Test
	public void testParsingSimpleJsonObject() {
		String jsonString = "{\"from\":1,\"to\":50,\"v1\":1,\"v2\":50}";
		// String jsonString = "{\"v1\":0,\"v2\":50}";
		JsonParser parser = new JsonParser();
		JsonElement el = parser.parse(jsonString);

		System.out.println("el: " + el);

		GsonBuilder gsonBuilder = new GsonBuilder();
		Gson gson = gsonBuilder.create();

		Type type = new TypeToken<Range<Integer>>() {
		}.getType();

		Range<Integer> range = gson.fromJson(el, type);

		System.out.println("Range: " + range);

		assertEquals(new Integer(50), range.v2);
	}
}
